import areaStroe from './areaStore';

let index = 0;

export default {
  install(store) {
    if (!store.state.base) {
      store.registerModule(['base'], {
        state: {},
      });
    }
    if (!store.state.base['dashboardArea' + index]) {
      store.registerModule(['base', 'dashboardArea' + index], areaStroe);
    } else {
      index++;
      store.registerModule(['base', 'dashboardArea' + index], areaStroe);
    }
    return index;
  },
  uninstall(store) {
    store.unregisterModule(['base', 'dashboardArea' + index]);
  },
};
